Basque Cyber Security Centre - Centro Vasco de Ciberseguridad

Múltiples desbordamientos de búfer en LeviStudioU de Wecon

Fecha de publicación: 27/07/2018

Importancia: Crítica

Recursos afectados:

LeviStudioU

Descripción:

El equipo de seguridad de nfocus y el investigador Mat Powell de Zero Day Initiative de Trend Micro han reportado una serie de vulnerabilidades de tipo desbordamiento de búfer que afectan al software LeviStudioU del fabricante Wecon. Estas vulnerabilidades permitirían a un potencial atacante ejecutar código remoto bajo permisos de administrador.

Solución:

Actualmente no existe mitigación o algún tipo de solución para estas vulnerabilidades.

Se recomienda aislar los dispositivos que utilicen el software afectado y controlar los accesos que se tienen a los mismos.

Además, para proteger los recursos afectados se recomienda:

  • Ayudar a minimizar la exposición de todos los dispositivos y/o sistemas de control tras cortafuegos y confirmar que los dispositivos y/o sistemas no poseen acceso a Internet.
  • Separar las redes de control y los dispositivos industriales de las redes corporativas.
  • Cuando sea necesario un acceso remoto, utilizar mecanismos de seguridad como Virtual Private Networks (VPN).

Detalle:

Algunos ficheros, como los UMP, HSC o los HGCM, no realizan un correcto tratamiento de la longitud en diferentes campos que contienen. Este hecho origina un desbordamiento de búfer. Otros ficheros más concretos, como UserMgr.xml, TTS.xml o ejecutables como UserManage.exe, etc., también tienen problemas a la hora de gestionar tanto parámetros como otros elementos que contienen.

Zero Day Initiative ha asignado los identificadores que van desde el ZDI-18-784 al ZDI-18-873 para estas vulnerabilidades críticas.

Etiquetas: 0day, Vulnerabilidad